Package com.sun.ts.lib.porting

# Interface TSJMSObjectsInterface

public interface TSJMSObjectsInterface
This is the TSJMSObjectsInterface. An implementation of this interface must be provided by each JMS implementation to support their own implementation of getting administered objects.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.jms.ConnectionFactory`
  `getConnectionFactory(String name)`
  This method allows JMS implementation to get ConnectionFactory
  `jakarta.jms.Queue`
  `getQueue(String name)`
  This method allows JMS implementation to get Queue
  `jakarta.jms.QueueConnectionFactory`
  `getQueueConnectionFactory(String name)`
  This method allows JMS implementation to get QueueConnectionFactory
  `jakarta.jms.Topic`
  `getTopic(String name)`
  This method allows JMS implementation to get Topic
  `jakarta.jms.TopicConnectionFactory`
  `getTopicConnectionFactory(String name)`
  This method allows JMS implementation to get TopicConnectionFactory

- ## Method Details

  - ### getQueue

    jakarta.jms.Queue getQueue(String name) throws Exception
    This method allows JMS implementation to get Queue
    Throws:
      `Exception`

  - ### getTopic

    jakarta.jms.Topic getTopic(String name) throws Exception
    This method allows JMS implementation to get Topic
    Throws:
      `Exception`

  - ### getTopicConnectionFactory

    jakarta.jms.TopicConnectionFactory getTopicConnectionFactory(String name) throws Exception
    This method allows JMS implementation to get TopicConnectionFactory
    Throws:
      `Exception`

  - ### getQueueConnectionFactory

    jakarta.jms.QueueConnectionFactory getQueueConnectionFactory(String name) throws Exception
    This method allows JMS implementation to get QueueConnectionFactory
    Throws:
      `Exception`

  - ### getConnectionFactory

    jakarta.jms.ConnectionFactory getConnectionFactory(String name) throws Exception
    This method allows JMS implementation to get ConnectionFactory
    Throws:
      `Exception`